Subject: Re: Run automake to create config.sub without any Makefile.am

From: Mike Frysinger <[email-masked]>
Date: Tue, 10 Jan 2012 16:57:41 -0500

On Tuesday 10 January 2012 16:10:29 Nick Bowler wrote:
> On 2012-01-10 15:41 -0500, Mike Frysinger wrote:
> > On Monday 09 January 2012 18:49:28 Eric Blake wrote:
> > > On 01/09/2012 03:46 PM, Roger Pau Monné wrote:
> > > > It creates the needed files, but exits with status 1. Is there anyway
> > > > to generate config.sub without relying on Automake,
> > > 
> > > Use 'cp'.  That's all the more automake was doing when it outputs lines
> > > about installing helper files.
> > 
> > i wish automake (and gettext) had modes where you could say "i just want
> > you to install XXX helpers for me)".  copying things by hand is error
> > prone due to changing install paths across versions and distros.
> > 
> > automake --foreign -c -f --tools="config.sub config.guess"
> 
> CCing bug-automake.  This feature would be generally useful: another
> example for automake-using packages is that at "foreign" strictness the
> INSTALL file is not copied, but maintainers may still want to include it.
> 
> Perhaps a simpler and more flexible option is to add an option to
> automake which prints out the location where it finds these files,
> similar to aclocal --print-ac-dir.  Something like (for example)
> 
>  % automake --print-snippet-dir
>  /usr/share/automake-1.11

i'd be OK with that too if the assumption is that all relevant files people 
want to manually copy would be in there (INSTALL, config.sub, etc...).

another example of why hardcoding paths doesn't scale: the stuff installed into 
the root distro might not be what is found via $PATH.  so if you have local 
builds of autotools in say $HOME/...., `automake` would come from there, but 
trying to copy files by hand would look in /usr/share/.... rather than the stuff 
in $HOME.
-mike